Попытка обновления до 12.10, но диспетчер обновлений не показывает обновление для него

Классы DSA не принимаются в последних версиях openssh по умолчанию. Вы должны использовать rsa, который отлично работает и считается более защищенным разработчиками openssh. Если вы действительно хотите использовать клавиши dsa, вы должны добавить

PubkeyAcceptedKeyTypes ssh-dss

строку в свой sshd_config и перезапустить службу ssh.

0
задан 27 March 2013 в 01:12

3 ответа

Необходимо измениться update-manager настройки для показа 12.10, так как это не выпуск LTS, и по умолчанию update-manager только показывает доступные обновления LTS.

Для этого выполните эти шаги:

  1. Открыться update-manager через Dash: стучите в окна и введите update-manager.
  2. Нажать Settings.
  3. Под Updates вкладка, изменение Notify me of a new Ubuntu version от значения по умолчанию For long-term support versions кому: For any new version.

Для ясности вот снимок экрана:

What I mean

1
ответ дан 27 March 2013 в 01:12

да, это не покажет в менеджере по обновлению потому что

  1. Версия, которую Вы используете 04.12.02, является версией LTS (долговременная поддержка) и, вероятно, самая стабильная версия в то время.
  2. Версия т.е. 12.10, Вы пытаетесь обновить от 12.04.x, не LTS, который, вероятно, означает, что поддержка закончится после 18 месяцев и не большая часть рекомендуемой версии, но это имеет еще некоторые функции усовершенствования, чем 12.04.xx поэтому, когда это прибудет новая версия LTS в 2014 14.04, чем это покажет Вам новое обновление для версии LTS к LTS.
  3. При использовании не версии LTS, чем она покажет Вам каждый раз, когда она прибудет новая версия погоды человечности, это - LTS или нет.
  4. Для обновления до 12,10, необходимо изменить настройки менеджера по обновлению для показа всех версий погоды человечности, они - LTS или нет

Мое мнение

Вы не должны обновлять свои 12.04.2 к 12,10, потому что Вы используете самую стабильную версию

1
ответ дан 27 March 2013 в 01:12

Вы можете запустить do-release-upgrade -d

. Флаг -d является развитием. Который будет обновляться до версии для разработки. С 12.10 по 13.04 или с 12.04 по 12.10

Я не уверен, что это плохая практика, но она сработала для меня.

0
ответ дан 27 March 2013 в 01:12

Другие вопросы по тегам:

Похожие вопросы: